import { Router } from "express";
import { authenticate } from "../../middleware/auth.middleware";
import {
  getAllJobByCompany,
  updateJob,
  getASingleJob,
  createJob,
  createJobApplicant,
  getAllCandidateByJobID,
  getAllCandidateByCompany,
  getAllJobMetadataByCompany,
  makeShortListApplicant,
  getAllShortListedCandidateByJobID,
  OnBoardApplicant,
  getAllShortListedCandidateByCompanyID,
} from "../../controllers/recruitment/recruitment.controller";

const router = Router();

router.get("/company/:company_id", getAllJobByCompany);
router.get("/company/meta/:company_id", getAllJobMetadataByCompany);
router.post("/job", authenticate, createJob);
router.post("/job/apply", createJobApplicant);
router.get(
  "/job/shortlisted/:company_id",
  authenticate,
  getAllShortListedCandidateByCompanyID
);
router.get(
  "/job/shortlisted-by-job-id",
  authenticate,
  getAllShortListedCandidateByJobID
);

router.post("/job/onboard", authenticate, OnBoardApplicant);
///aplicants
router.get(
  "/job/aplicants/:company_id",
  authenticate,
  getAllCandidateByCompany
);
router.post("/job/make-short-list", authenticate, makeShortListApplicant);
router.patch("/job/:job_id", authenticate, updateJob);
router.get("/job/:job_id", getASingleJob);
router.get("/job/:job_id/aplicants", authenticate, getAllCandidateByJobID);

export default router;
